Index: typo3/sysext/dbal/class.tx_dbal_autoloader.php
===================================================================
--- typo3/sysext/dbal/class.tx_dbal_autoloader.php	(Revision 9643)
+++ typo3/sysext/dbal/class.tx_dbal_autoloader.php	(Arbeitskopie)
@@ -161,8 +161,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_autoloader.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_autoloader.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_autoloader.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_autoloader.php']);
 }
 
 	// Make instance:
Index: typo3/sysext/dbal/class.ux_t3lib_db.php
===================================================================
--- typo3/sysext/dbal/class.ux_t3lib_db.php	(Revision 9643)
+++ typo3/sysext/dbal/class.ux_t3lib_db.php	(Arbeitskopie)
@@ -3878,8 +3878,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_db.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_db.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_db.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_t3lib_db.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/class.tx_dbal_em.php
===================================================================
--- typo3/sysext/dbal/class.tx_dbal_em.php	(Revision 9643)
+++ typo3/sysext/dbal/class.tx_dbal_em.php	(Arbeitskopie)
@@ -386,7 +386,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_em.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_em.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_em.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_em.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/class.ux_db_list_extra.php
===================================================================
--- typo3/sysext/dbal/class.ux_db_list_extra.php	(Revision 9643)
+++ typo3/sysext/dbal/class.ux_db_list_extra.php	(Arbeitskopie)
@@ -102,8 +102,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_db_list_extra.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_db_list_extra.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_db_list_extra.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.ux_db_list_extra.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/class.tx_dbal_installtool.php
===================================================================
--- typo3/sysext/dbal/class.tx_dbal_installtool.php	(Revision 9643)
+++ typo3/sysext/dbal/class.tx_dbal_installtool.php	(Arbeitskopie)
@@ -581,7 +581,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_installtool.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_installtool.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_installtool.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/class.tx_dbal_installtool.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Revision 9643)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Arbeitskopie)
@@ -228,8 +228,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_openoffice.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_openoffice.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_openoffice.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_openoffice.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php	(Revision 9643)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php	(Arbeitskopie)
@@ -350,7 +350,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_rawmysql.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_rawmysql.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_rawmysql.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_rawmysql.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php	(Revision 9643)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php	(Arbeitskopie)
@@ -419,7 +419,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_xmldb.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_xmldb.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_xmldb.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/handlers/class.tx_dbal_handler_xmldb.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/mod1/index.php
===================================================================
--- typo3/sysext/dbal/mod1/index.php	(Revision 9643)
+++ typo3/sysext/dbal/mod1/index.php	(Arbeitskopie)
@@ -587,8 +587,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/mod1/index.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/mod1/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/mod1/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/mod1/index.php']);
 }
 
 
Index: typo3/sysext/dbal/ext_localconf.php
===================================================================
--- typo3/sysext/dbal/ext_localconf.php	(Revision 9643)
+++ typo3/sysext/dbal/ext_localconf.php	(Arbeitskopie)
@@ -3,9 +3,9 @@
 	die ('Access denied.');
 }
 
-$TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_db.php'] = t3lib_extMgm::extPath('dbal') . 'class.ux_t3lib_db.php';
-$TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_sqlparser.php'] = t3lib_extMgm::extPath('dbal') . 'class.ux_t3lib_sqlparser.php';
-$TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/class.db_list_extra.inc'] = t3lib_extMgm::extPath('dbal') . 'class.ux_db_list_extra.php';
+$GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_db.php'] = t3lib_extMgm::extPath('dbal') . 'class.ux_t3lib_db.php';
+$GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_sqlparser.php'] = t3lib_extMgm::extPath('dbal') . 'class.ux_t3lib_sqlparser.php';
+$GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/class.db_list_extra.inc'] = t3lib_extMgm::extPath('dbal') . 'class.ux_db_list_extra.php';
 
 // Register a hook for the installer
 $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install/mod/class.tx_install.php']['stepOutput'][] = 'EXT:dbal/class.tx_dbal_installtool.php:tx_dbal_installtool';
Index: typo3/sysext/dbal/lib/class.tx_dbal_querycache.php
===================================================================
--- typo3/sysext/dbal/lib/class.tx_dbal_querycache.php	(Revision 9643)
+++ typo3/sysext/dbal/lib/class.tx_dbal_querycache.php	(Arbeitskopie)
@@ -89,8 +89,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_querycache.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_querycache.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_querycache.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_querycache.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/lib/class.tx_dbal_tsparserext.php
===================================================================
--- typo3/sysext/dbal/lib/class.tx_dbal_tsparserext.php	(Revision 9643)
+++ typo3/sysext/dbal/lib/class.tx_dbal_tsparserext.php	(Arbeitskopie)
@@ -64,8 +64,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_tsparserext.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_tsparserext.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_tsparserext.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_tsparserext.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/dbal/lib/class.tx_dbal_sqlengine.php
===================================================================
--- typo3/sysext/dbal/lib/class.tx_dbal_sqlengine.php	(Revision 9643)
+++ typo3/sysext/dbal/lib/class.tx_dbal_sqlengine.php	(Arbeitskopie)
@@ -901,8 +901,8 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_sqlengine.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_sqlengine.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_sqlengine.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/dbal/lib/class.tx_dbal_sqlengine.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php	(Arbeitskopie)
@@ -91,8 +91,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checklinkhandlerlinks.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php	(Arbeitskopie)
@@ -70,8 +70,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkinternallinks.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php	(Arbeitskopie)
@@ -264,7 +264,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_link.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_processing.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_processing.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_processing.php	(Arbeitskopie)
@@ -221,7 +221,7 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_processing.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_processing.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_processing.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_processing.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php	(Arbeitskopie)
@@ -47,8 +47,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkfilelinks.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php	(Arbeitskopie)
@@ -83,8 +83,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_checkexternallinks.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php
===================================================================
--- typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php	(Arbeitskopie)
@@ -254,8 +254,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/lib/class.tx_linkvalidator_scheduler_linkAdditionalFieldProvider.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php
===================================================================
--- typo3/sysext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php	(Revision 9643)
+++ typo3/sysext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php	(Arbeitskopie)
@@ -489,8 +489,8 @@
 	}
 } // end class
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/modfunc1/class.tx_linkvalidator_modfunc1.php']);
 }
 
 ?>
Index: typo3/sysext/perm/mod1/class.sc_mod_web_perm_ajax.php
===================================================================
--- typo3/sysext/perm/mod1/class.sc_mod_web_perm_ajax.php	(Revision 9643)
+++ typo3/sysext/perm/mod1/class.sc_mod_web_perm_ajax.php	(Arbeitskopie)
@@ -390,8 +390,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/class.sc_mod_web_perm_ajax.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/class.sc_mod_web_perm_ajax.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/class.sc_mod_web_perm_ajax.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/class.sc_mod_web_perm_ajax.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/perm/mod1/index.php
===================================================================
--- typo3/sysext/perm/mod1/index.php	(Revision 9643)
+++ typo3/sysext/perm/mod1/index.php	(Arbeitskopie)
@@ -837,8 +837,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/index.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/index.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/index.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/mod/web/perm/index.php']);
 }
 
 
Index: typo3/sysext/indexed_search/class.indexer.php
===================================================================
--- typo3/sysext/indexed_search/class.indexer.php	(Revision 9643)
+++ typo3/sysext/indexed_search/class.indexer.php	(Arbeitskopie)
@@ -2247,7 +2247,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.indexer.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.indexer.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.indexer.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.indexer.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/class.external_parser.php
===================================================================
--- typo3/sysext/indexed_search/class.external_parser.php	(Revision 9643)
+++ typo3/sysext/indexed_search/class.external_parser.php	(Arbeitskopie)
@@ -672,8 +672,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.external_parser.php'])    {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.external_parser.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.external_parser.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.external_parser.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/class.crawler.php
===================================================================
--- typo3/sysext/indexed_search/class.crawler.php	(Revision 9643)
+++ typo3/sysext/indexed_search/class.crawler.php	(Arbeitskopie)
@@ -996,8 +996,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.crawler.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.crawler.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.crawler.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.crawler.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/example/class.pihook.php
===================================================================
--- typo3/sysext/indexed_search/example/class.pihook.php	(Revision 9643)
+++ typo3/sysext/indexed_search/example/class.pihook.php	(Arbeitskopie)
@@ -101,8 +101,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.pihook.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.pihook.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.pihook.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.pihook.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/example/class.crawlerhook.php
===================================================================
--- typo3/sysext/indexed_search/example/class.crawlerhook.php	(Revision 9643)
+++ typo3/sysext/indexed_search/example/class.crawlerhook.php	(Arbeitskopie)
@@ -186,8 +186,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.crawlerhook.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.crawlerhook.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.crawlerhook.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/example/class.crawlerhook.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/tests/tx_indexedsearch_indexerTest.php
===================================================================
--- typo3/sysext/indexed_search/tests/tx_indexedsearch_indexerTest.php	(Revision 9643)
+++ typo3/sysext/indexed_search/tests/tx_indexedsearch_indexerTest.php	(Arbeitskopie)
@@ -176,8 +176,8 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/tests/class.tx_indexedsearch_indexer_testcase.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/tests/class.tx_indexedsearch_indexer_testcase.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/tests/class.tx_indexedsearch_indexer_testcase.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/tests/class.tx_indexedsearch_indexer_testcase.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php
===================================================================
--- typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Revision 9643)
+++ typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Arbeitskopie)
@@ -2472,8 +2472,8 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/pi/class.tx_indexedsearch.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/pi/class.tx_indexedsearch.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/pi/class.tx_indexedsearch.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/pi/class.tx_indexedsearch.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/class.lexer.php
===================================================================
--- typo3/sysext/indexed_search/class.lexer.php	(Revision 9643)
+++ typo3/sysext/indexed_search/class.lexer.php	(Arbeitskopie)
@@ -403,7 +403,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.lexer.php'])    {
-    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/class.lexer.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.lexer.php'])) {
+    include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/class.lexer.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php
===================================================================
--- typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Revision 9643)
+++ typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Arbeitskopie)
@@ -1389,8 +1389,8 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php'])    {
-    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php'])) {
+    include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php
===================================================================
--- typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Revision 9643)
+++ typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Arbeitskopie)
@@ -218,8 +218,8 @@
 
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(Revision 9643)
+++ typo3/sysext/install/mod/class.tx_install.php	(Arbeitskopie)
@@ -8383,7 +8383,7 @@
 	}
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install.php']) {
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install.php']);
 }
 ?>
Index: typo3/sysext/install/mod/class.tx_install_ajax.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install_ajax.php	(Revision 9643)
+++ typo3/sysext/install/mod/class.tx_install_ajax.php	(Arbeitskopie)
@@ -159,7 +159,7 @@
 $SOBE->main();
 $SOBE->printContent();
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/sysext/install/mod/class.tx_install_ajax.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['typo3/sysext/install/mod/class.tx_install_ajax.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/sysext/install/mod/class.tx_install_ajax.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['typo3/sysext/install/mod/class.tx_install_ajax.php']);
 }
 ?>
\ No newline at end of file
Index: typo3/sysext/install/mod/class.tx_install_session.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install_session.php	(Revision 9643)
+++ typo3/sysext/install/mod/class.tx_install_session.php	(Arbeitskopie)
@@ -388,8 +388,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install_session.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install_session.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install_session.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/mod/class.tx_install_session.php']);
 }
 
 ?>
\ No newline at end of file
Index: typo3/sysext/install/report/class.tx_install_report_installstatus.php
===================================================================
--- typo3/sysext/install/report/class.tx_install_report_installstatus.php	(Revision 9643)
+++ typo3/sysext/install/report/class.tx_install_report_installstatus.php	(Arbeitskopie)
@@ -175,8 +175,8 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/report/class.tx_install_report_installstatus.php'])	{
-	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/install/report/class.tx_install_report_installstatus.php']);
+if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/report/class.tx_install_report_installstatus.php'])) {
+	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/install/report/class.tx_install_report_installstatus.php']);
 }
 
 ?>
\ No newline at end of file
